<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!--  Start ${pageScope.sscCurrentPage} -->
<%
	java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
	String emailerProcessorImplementer = appComponents.getProperty("emailerProcessorImplementer");
	pageContext.setAttribute("emailerProcessorImplementer", emailerProcessorImplementer);
%>
<c:if test="${(settings.map.emailerCheckout eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'EmailerProcessor'))
	 or (settings.map.constantContactCheckout eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'ConstantContactProcessor'))
	 or (settings.map.mailChimpCheckout eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'MailChimpProcessor'))}">
	<p id="emailerOptInForm" class="text-center">
		<label>
			<c:choose>
				<c:when test="${settings.map.emailerCheckout eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'EmailerProcessor')}">
					${settings.map.emailerCheckoutOptInPrompt}:
				</c:when>
				<c:when test="${settings.map.constantContactCheckout eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'ConstantContactProcessor')}">
					${settings.map.constantContactCheckoutOptInPrompt}:
				</c:when>
                <c:when test="${settings.map.mailChimpCustomerRegistration eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'MailChimpProcessor')}">
                    ${settings.map.mailChimpCheckoutOptInPrompt}:
                </c:when>
			</c:choose>
		</label>
		<label for="emailerOptInApprovalYes">
			<html:radio name="addressForm" property="emailerOptInApproval" styleId="emailerOptInApprovalYes" value="Yes"/>&nbsp;
			<bean:message key="general.yesLabel"/>
		</label>
		<label for="emailerOptInApprovalNo">
			<html:radio name="addressForm" property="emailerOptInApproval" styleId="emailerOptInApprovalNo" value="No"/>&nbsp;
			<bean:message key="general.noLabel"/>
		</label>
	</p>
</c:if>
<!--  End ${pageScope.sscCurrentPage} -->
