<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%
  java.util.Map settings = (java.util.Map) request.getAttribute("productSettings");
  java.util.ArrayList keys = new java.util.ArrayList(settings.keySet());
  java.util.Collections.sort(keys);
  pageContext.setAttribute("keys", keys);
%>
<c:set var="counter" value="0" />
<c:forEach items="${keys}" var="thisKey">
	<c:if test="${productSettings[thisKey].type eq 'VIDEO'}">
		<c:if test="${counter % 2 eq 0}"><div class="clearfix"></div></c:if>
		<div class="additionalImage col-xs-12">
			<c:set var="iframeSource" value="${productSettings[thisKey].mediumValue}"/>
			<c:set var="thumbnailSource" value="${pageContext.request.contextPath}/images/defaultVideoThumb.jpg"/>
			<c:if test="${fn:contains(iframeSource, 'youtube') or fn:contains(iframeSource, 'youtu.be')}">
				<c:set var="youTubeCode" value="${fn:split(productSettings[thisKey].mediumValue, '/')[fn:length(fn:split(productSettings[thisKey].mediumValue, '/')) - 1]}"/>
				<c:set var="iframeSource" value="https://www.youtube.com/embed/${youTubeCode}?rel=0"/>
				<c:set var="thumbnailSource" value="https://img.youtube.com/vi/${youTubeCode}/default.jpg"/>
			</c:if>
			<div data-lightbox="${product.code}" data-lightbox-iframe-src="${iframeSource}" data-lightbox-iframe-width="792" data-lightbox-iframe-height="446" data-title="${productSettings[thisKey].name}">
				<img src="${thumbnailSource}"<c:if test="${!empty product.name}"> title="<c:out value="${product.name}"/>" alt="${productSettings[thisKey].name}"</c:if>/>
			</div>
		</div>
		<c:set var="counter" value="${counter+1}" />
	</c:if>
</c:forEach>
<!-- End ${pageScope.sscCurrentPage} -->
