package com.softslate.commerce.daos.product;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO that runs miscellaneous queries related to discount
 * ranges.
 * 
 * @author David Tobey
 */
public interface DiscountRangeGatewayDAO extends DAOInterface {
    abstract Map loadDiscountRangesAndCount(Map parameters) throws Exception;

    abstract Map editDeleteDiscountRanges(Map parameters,
            BusinessObjectFactory bof) throws Exception;
}
