UPDATE npcSetting SET smallValue='1.0.7' WHERE code='dataObjectsVersion';

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('skuImplementer','SKU Implementer','The name of the fully-qualified Java class that implements the SKU interface for the store.','COMPONENTS', 'mediumValue',NULL,NULL,'com.softslate.commerce.businessobjects.product.SKUBean',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('skuProcessorImplementer','SKUProcessor Implementer','The name of the fully-qualified Java class that implements the SKUProcessor interface for the store.','COMPONENTS', 'mediumValue',NULL,NULL,'com.softslate.commerce.businessobjects.product.BasicSKUProcessor',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('skuGatewayDAOImplementer','SKUGatewayDAO Implementer','The name of the fully-qualified Java class that acts as a DAO for miscellaneous queries for skus.','COMPONENTS', 'mediumValue',NULL,NULL,'com.softslate.commerce.daos.product.SKUGatewayDAO',NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('skuDAOImplementer','SKUDAO Implementer','The name of the fully-qualified Java class that acts as a DAO for skus.','COMPONENTS', 'mediumValue',NULL,NULL,'com.softslate.commerce.daos.product.SKUDAO',NULL);

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('insertHitsLink','Insert HitsLink Tracking Scripts','If true, store pages will insert the HitsLink scripts below for tracking page hits.','HitsLink', 'integerValue', 0,NULL,NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('hitsLinkNormal','Normal Tracking Script','The HitsLink tracking script for normal pages. From your HitsLink account, navigate to Set Up -> Get Tracking Script and paste the contents of the normal tracking script text box here.','HitsLink', 'textValue', NULL,NULL,NULL,'');
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('hitsLinkOrder','Order Tracking Script','The HitsLink tracking script for order confirmation pages. From your HitsLink account, navigate to Set Up -> Get Tracking Script and paste the contents of order confirmation tracking script the text box here. (HitsLink Enterprise accounts only.)','HitsLink', 'textValue', NULL,NULL,NULL,'');

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('seoDefaultKeywords','Default Keywords','The default keywords to place in the meta/keywords tag for the store. Product and category pages may override this setting through the keywords property.','SEO', 'textValue', NULL,NULL,NULL,'');
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('seoDefaultDescription','Default Description','The default description to place in the meta/description tag for the store. Product pages may override this setting through the short description property; category pages may override this setting through the description property.','SEO', 'textValue', NULL,NULL,NULL,'');

ALTER TABLE npcCategory ADD keywords VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcCategory ADD extra1 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcCategory ADD extra2 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcCategory ADD extra3 VARCHAR(255) DEFAULT NULL;

ALTER TABLE npcProduct ADD keywords VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcProduct ADD extra3 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcProduct ADD extra4 VARCHAR(255) DEFAULT NULL;
ALTER TABLE npcProduct ADD extra5 VARCHAR(255) DEFAULT NULL;
