<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<c:set var="administratorURL" value="${settings.map.administratorURL}"/>

<!-- Start header.jsp -->
<div id="header">

	<jsp:include page="/WEB-INF/templates/administrator/default/core/version.jsp"/>
	
	<div id="administratorLogo">
		<a href="<c:out value="${settings.map.administratorURL}"/>/Welcome.do">
			<img src="<%=request.getContextPath()%>/images/administratorLogo.gif" border="0" alt="SoftSlate Logo"/>
		</a>
	</div>
	
	<c:if test="${!empty user.administrator.userName}">
		<div id="utilityAndLogout">
			<div id="logoutLink">
				<ul>
					<li>Logged in as <a href="<c:out value="${settings.map.administratorURL}"/>/AdministratorChangePasswordForm.do?administratorID=<c:out value="${user.administrator.administratorID}"/>" title="Change Password"><c:out value="${user.administrator.userName}"/></a></li>
					<li><a href="<c:out value="${settings.map.administratorURL}"/>/Logout.do" title="Logout">Logout</a></li>
					<li class="last">SoftSlate Commerce <c:choose><c:when test="${lKM.licenseEnterpriseEdition}">Enterprise Edition</c:when><c:otherwise>Community Edition</c:otherwise></c:choose> v. <c:out value="${applicationVersion}"/></li>
				</ul>
			</div>
			<div id="utilityLinks">
				<ul>
					<li><a href="<c:out value="${settings.map.customerURL}"/>">Customer Interface</a></li>
					<li id="userGuide"><a href="http://www.softslate.com/documentation/html" class="inactive">User Guide</a></li>
					<c:if test="${settings.map.enableAPIRequests eq '1'}"><li id="apiReference"><a href="apiReference/index.html" class="inactive">API Reference</a></li></c:if>
					<li id="homePage" class="last"><a href="http://www.softslate.com/getHelp.html" class="inactive">Get Support</a></li>
				</ul>
			</div>
		</div>
	</c:if>
</div>

<noscript>
	<div class="warning adminWarning">
		Many of the functions in the administrator require JavaScript. Please enable JavaScript while using this application.
	</div>
	<br/>
</noscript>

<c:if test="${empty loginPage and requestScope.applicationVersion ne applicationScope.settings.map.dataObjectsVersion}">
	<div class="warning adminWarning">
		The application version (<c:out value="${requestScope.applicationVersion}"/>) does not match the data objects version (<c:out value="${applicationScope.settings.map.dataObjectsVersion}"/>). Please check for <a href="Upgrades.do">Upgrades</a>.
	</div>
	<br/>
</c:if>

<c:if test="${empty loginPage}">
	<jsp:include page="/WEB-INF/templates/administrator/default/core/licenseMessages.jsp"/>
</c:if>

<hr class="headerSeparater"/>


<!-- End header.jsp -->
