<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start settingsAdvancedSystem.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<html:form action="/SettingsProcessAdvancedSystem" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="ADVANCEDSYSTEM">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'currencyCode'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<select name="currencyCode" style="width: 315px">
									<jsp:include page="currencyCodes.jsp"/>
								</select>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsAdvancedSystemEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>
<!-- End settingsAdvancedSystem.jsp -->
