<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" />
<!-- Start templateExtra.jsp -->
<c:if test="${editPermission eq 'true'}">
	<div class="controlScreenExtra">
		<h2 class="administratorHeader">Template - Quick Add</h2>
		<form name="templateQuickAdd" class="extraForm adminContainer" action="<c:out value="${administratorURL}"/>/TemplateQuickAdd.do">
			<c:if test="${!empty mainForm.parentIDField}">
				<input type="hidden" name="<c:out value="${mainForm.parentIDField}"/>" value="<c:out value="${mainForm.parentID}"/>"/>
				<input type="hidden" name="parentIDField" value="<c:out value="${mainForm.parentIDField}"/>"/>
			</c:if>
			<table>
				<tr>
					<td class="extraField">
						<label for="quickAddCode">Code:</label><br/>
						<html:text name="templateAddEditForm" property="code" styleId="quickAddCode"/>
					</td>
					<td class="extraField">
						<label for="quickAddType">Type:</label><br/>
						<html:select name="templateAddEditForm" property="type" styleId="quickAddType">
							<html:option value="HTML">HTML</html:option>
							<html:option value="TEXT">TEXT</html:option>
						</html:select>
					</td>
					<td class="extraField">
						<label for="quickAddSubject">Subject:</label><br/>
						<html:text name="templateAddEditForm" property="subject" styleId="quickAddSubject"/>
					</td>
				</tr>
				<tr>
					<td colspan="4" class="extraButton">
						<input type="submit" class="button" name="addSubmit" value="<bean:message key="administrator.add" bundle="/administrator/administrator"/>" />
					</td>
				</tr>
			</table>
		</form>
	</div>
</c:if>
<!-- End templateExtra.jsp -->
