<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<div id="productSettingsScreen">

	<!-- Edit Form -->
	<html:form action="/ProductSettingsProcessFacets" method="post">
		<html:hidden name="productSettingsFormFacets" property="productID"/>
		<table class="tabDetails customSettings">
			<c:set var="thisClass" scope="request" value="altRow"/>
			<c:set var="count" value="0"/>
			<logic:iterate name="productSettings" id="settingRow" indexId="index">
				<logic:equal name="settingRow" property="type" value="FACET">
					<c:set var="count" value="${count+1}"/>
					<bean:define id="settingExists" value="true" toScope="request"/>
					<bean:define id="setting" name="settingRow" toScope="request"/>
					<bean:define id="actionSuffix" value="Facets" toScope="request"/>
					<c:choose><c:when test="${thisClass eq 'altRow'}"><c:set var="thisClass" scope="request" value=""/></c:when><c:otherwise><c:set var="thisClass" scope="request" value="altRow"/></c:otherwise></c:choose>
					<jsp:include page="productSetting.jsp"/>
				</logic:equal>
			</logic:iterate>
			<logic:notPresent name="settingExists">
				<tr><td>No custom settings defined.</td></tr>
			</logic:notPresent>
		</table>
		<logic:equal name="editPermission" value="true">
			<logic:present name="settingExists">
				<br/>
				<input type="submit" class="button" name="settingsSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>"/>
			</logic:present>
		</logic:equal>
		<logic:present name="settingExists">
			<br/><br/>
		</logic:present>
	</html:form>
	
	<!-- Add Form -->
	<h2 class="administratorHeader">Add a Product Facet for <em><c:out value="${product.name}"/> (<c:out value="${product.code}"/>)</em></h2>
	<html:form action="/ProductSettingAddFacets" method="post">
		<html:hidden name="productSettingsFormFacets" property="productID"/>
		<html:hidden name="productSettingsFormFacets" property="type" value="FACET"/>
		<html:hidden name="productSettingsFormFacets" property="valueType" value="mediumValue"/>
		<html:hidden name="productSettingsFormFacets" property="code" value="facet${count+1}"/>
		<table class="tabDetails settingAddForm">
			<jsp:include page="productSettingFacetFormGuts.jsp"/>
		</table>
		<br/>
		<input type="submit" class="button" name="addProductSettingSubmit" value="<bean:message key="administrator.addSetting" bundle="/administrator/administrator"/>"/>
	</html:form>

</div>
