<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<input type="hidden" name="shippingRuleTypes" value="<bean:write name="mainForm" property="shippingRuleType"/>"> 
<!-- Start shippingRuleRangeFieldColumns.jsp -->
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" indexId="i" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'shippingRuleRangeID' 
										or field eq 'shippingRuleID'
										or field eq 'countries'
										or field eq 'states'}">
							<c:out value="${item[field]}" />
						</c:when>
						<c:when test="${field eq 'isActive'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<input type="checkbox" name="dummy" <c:if test="${item[field] ne 'false'}">checked="checked"</c:if> onclick="updateCheckboxField(this, '<c:out value="${field}"/>', <c:out value="${j}"/>)"/>
						</c:when>
						<c:when test="${field eq 'discountType'}">
							<html:select name="item" property="discountType">
								<html:option value="[percentage]">Percentage</html:option>
								<html:option value="[amount]">Amount</html:option>
							</html:select>
						</c:when>
						<c:when test="${field eq 'limitType'}">
							<html:select name="item" property="limitType">
								<html:option value="[allow]">These Methods Only</html:option>
								<html:option value="[disallow]">All Methods Except These</html:option>
							</html:select>
						</c:when>
						<c:when test="${field eq 'limitMethods'}">
							<textarea rows="2" name="<c:out value="${field}" />"><c:out value="${item[field]}" /></textarea>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<c:choose>
						<c:when test="${field eq 'isActive'}">
							<c:choose>
								<c:when test="${item[field]}">yes</c:when>
								<c:otherwise>no</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'discountType'}">
							<c:choose>
								<c:when test="${item.discountType eq '[percentage]'}">
									Percentage
								</c:when>
								<c:when test="${item.discountType eq '[amount]'}">
									Amount
								</c:when>
								<c:otherwise>
									<c:out value="${item.discountType}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'limitType'}">
							<c:choose>
								<c:when test="${item.limitType eq '[allow]'}">
									These Methods Only
								</c:when>
								<c:when test="${item.limitType eq '[disallow]'}">
									All Methods Except These
								</c:when>
								<c:otherwise>
									<c:out value="${item.limitType}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End shippingRuleRangeFieldColumns.jsp -->
