// ////////////////////////////////////////////////////////////////////////////////////////
// The add coupon tool is triggered from the order overview screen, namely orderOverview.jsp. 

YAHOO.namespace("addCoupon");
	
// Shared Ajax connection methods
YAHOO.addCoupon.failure = function(o) {
	YAHOO.addCoupon.addCouponModule.setBody(o.status + ': ' + o.statusText);
	YAHOO.addCoupon.addCouponResultsModule.setBody("");
}
YAHOO.addCoupon.addCouponArgs = ['foo','bar'];

// Initialization - run when the DOM is first loaded and after the successful adding of a coupon
YAHOO.addCoupon.initialize = function() {

	// Set up modules
	YAHOO.addCoupon.addCouponModule = new YAHOO.widget.Module("addCouponModule");
	YAHOO.addCoupon.addCouponResultsModule = new YAHOO.widget.Module("addCouponResultsModule");

	// Set up listeners
	YAHOO.util.Event.addListener("addCouponA", "click", YAHOO.addCoupon.showAddCouponForm);
	YAHOO.util.Event.addListener("addCouponForm", "submit", YAHOO.addCoupon.submitProcessAddCoupon);
}

// Step one - clicking the "Add Coupon" link - load up the coupons
YAHOO.addCoupon.loadAllCouponsSuccess = function(o) {

	if (o.responseText.indexOf("id=\"loginFormGuts\"") != -1) {
	
		// Session timeout
		YAHOO.administratorCore.sessionTimeout();
	} else {

		YAHOO.addCoupon.addCouponModule.setBody(o.responseText);
	}
};
YAHOO.addCoupon.loadAllCouponsCallback = {
  success:YAHOO.addCoupon.loadAllCouponsSuccess,
  failure:YAHOO.addCoupon.failure,
  argument:YAHOO.addCoupon.addCouponArgs
};
YAHOO.addCoupon.showAddCouponForm = function(e) {
	YAHOO.util.Event.preventDefault(e);
	YAHOO.util.Dom.addClass('addCouponInner', 'ajaxBox');
	YAHOO.addCoupon.addCouponModule.setBody('<img src="yui/assets/skins/sam/wait.gif"/>');
	YAHOO.addCoupon.addCouponResultsModule.setBody("");
	YAHOO.util.Connect.setForm(YAHOO.util.Dom.get("addCouponForm"));
	YAHOO.addCoupon.transaction = YAHOO.util.Connect.asyncRequest('GET', 
		'LoadAllCoupons.do', 
		YAHOO.addCoupon.loadAllCouponsCallback, 
		null);
}


// Step two - adding the coupon
YAHOO.addCoupon.processAddCouponSuccess = function(o) {

	if (o.responseText.indexOf("id=\"loginFormGuts\"") != -1) {
	
		// Session timeout
		YAHOO.administratorCore.sessionTimeout();
	} else if (o.responseText.indexOf("id=\"orderOverview\"") != -1) {

		// Replace the body of the page
		YAHOO.util.Dom.get("bodyContent").innerHTML = o.responseText;
		
		// Pop the browser up to the messages if there are any
		if (o.responseText.indexOf("class=\"ajaxMessages\"") != -1) {
			YAHOO.administratorCore.focusOnMessages();
		}
		
		// Initialize so all the tools work again
		YAHOO.administratorCore.initializeOrderOverviewTools();
	} else {

		// Error of some kind
		YAHOO.util.Dom.get("addCouponButton").disabled = false;
		YAHOO.addCoupon.addCouponResultsModule.setBody(o.responseText);
	}
};
YAHOO.addCoupon.processAddCouponCallback = {
  success:YAHOO.addCoupon.processAddCouponSuccess,
  failure:YAHOO.addCoupon.failure,
  argument:YAHOO.addCoupon.addCouponArgs
};
YAHOO.addCoupon.submitProcessAddCoupon = function(e) {
	YAHOO.util.Event.preventDefault(e);
	YAHOO.util.Dom.get("addCouponButton").disabled = true;
	YAHOO.addCoupon.addCouponResultsModule.setBody('<img src="yui/assets/skins/sam/wait.gif"/>');
	YAHOO.util.Connect.setForm(YAHOO.util.Dom.get("addCouponForm"));
	YAHOO.addCoupon.transaction = YAHOO.util.Connect.asyncRequest('POST', 
		'AddCouponProcess.do', 
		YAHOO.addCoupon.processAddCouponCallback);
}
