UPDATE sscSetting SET smallValue='3.2.4' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExExtraDeliveryHours','FedEx Extra Delivery Hours','If delivery dates are shown to customers, the number of additional hours to add to the shipping date sent to FedEx (to cover internal handling). For example, if items ship the next day if the order is received after 3pm, set this to 9 to push it past midnight to the next day.','FEDEX', 'integerValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('allowStackedCoupons','Allow Stacked Coupons?','If true, customers will be allowed to redeem multiple coupons for each order. If false, only the last coupon entered will be allowed for the order. Other discounts that are not coupons will always be allowed.','DISCOUNT','booleanValue',1,NULL,NULL,NULL);

UPDATE sscCountry SET name = 'Korea, Republic Of (South Korea)' WHERE code = 'KR';
