<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%-- Current category --%>
<c:if test="${settings.map.currentCategoryProductCount > 0 and !requestScope.isWelcomePage and !empty lastVisitedCategory.productListCollection}">
	<div id="miniCurrentCategory">
		<c:set var="numberToDisplay" value="${settings.map.currentCategoryProductCount}"/>
		<ssc:insert page="/WEB-INF/layouts/default-html5/product/miniCategory.jsp">
			<ssc:put name="category" beanName="lastVisitedCategory"/>
			<ssc:put name="numberToDisplay" beanName="numberToDisplay"/>
		</ssc:insert>
	</div>
</c:if>
<%-- The built-in categories --%>
<c:if test="${settings.map.builtInCategoryProductCount > 0 and !empty builtInCategories}">
	<ssc:insert page="/WEB-INF/layouts/default-html5/product/features.jsp" />
</c:if>
<%-- List of manufacturers --%>
<c:if test="${settings.map.miniManufacturersCount > 0 and !empty manufacturers and !manufacturers['empty']}">
	<div id="miniManufacturers">
		<ssc:insert page="/WEB-INF/layouts/default-html5/product/miniManufacturers.jsp">
			<ssc:put name="numberToDisplay" value="${settings.map.miniManufacturersCount}"/>
		</ssc:insert>
	</div>
</c:if>
<%-- List of store discounts 
<c:if test="${settings.map.storeDiscountsCount > 0 and !empty storeDiscounts and !storeDiscounts['empty']}">
	<div id="storeDiscounts">
		<ssc:insert page="/WEB-INF/layouts/default-html5/product/storeDiscounts.jsp" />
	</div>
</c:if>--%>
<%-- The mini-cart --%> 
<c:if test="${settings.map.miniCartItemCount > 0 }">
	<div id="miniCart">
		<c:set var="numberToDisplay" value="${settings.map.miniCartItemCount}"/>
		<ssc:insert page="/WEB-INF/layouts/default-html5/order/miniCart.jsp">
			<ssc:put name="numberToDisplay" beanName="numberToDisplay"/>
		</ssc:insert>
	</div>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
