<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.customer.core.BaseForm" %>
<%@ page import="com.softslate.commerce.customer.core.ActionUtils" %>
<%@ page import="com.softslate.commerce.customer.core.AppUtils" %>
<%@ page import="com.softslate.commerce.businessobjects.core.BusinessObjectUtils" %>
<%@ page import="com.softslate.commerce.businessobjects.core.BusinessObjectFactory" %>
<%@ page import="com.softslate.commerce.businessobjects.core.User" %>
<%@ page import="com.softslate.commerce.businessobjects.order.OrderItem" %>
<%@ page import="com.softslate.commerce.businessobjects.order.OrderItemAttribute" %>
<%@ page import="java.util.Map" %>
<%@ page import="org.apache.commons.logging.Log" %>
<%@ page import="org.apache.commons.logging.LogFactory" %>
<%@ page import="com.softslate.commerce.customer.order.CheckoutAction" %>
<%@ page import="com.softslate.commerce.businessobjects.email.Email" %>
<%@ page import="com.softslate.commerce.businessobjects.email.EmailSender" %>
<ssc:useAttribute name="thankYouHTML" classname="java.lang.String"/>
<ssc:useAttribute name="thankYouText" classname="java.lang.String"/>
<ssc:useAttribute name="notificationHTML" classname="java.lang.String"/>
<ssc:useAttribute name="notificationText" classname="java.lang.String"/>
<ssc:useAttribute name="giftCertificateHTML" classname="java.lang.String"/>
<ssc:useAttribute name="giftCertificateText" classname="java.lang.String"/>
<%
	String layout = (String) session.getAttribute("currentLayout");
	if (layout == null) {
		layout = (String) session.getAttribute("adminCurrentLayout");
	}
	request.setAttribute("thankYouHTMLPage", AppUtils.alterURI((String) pageContext.getAttribute("thankYouHTML"), layout, pageContext.getServletContext()));
	request.setAttribute("thankYouTextPage", AppUtils.alterURI((String) pageContext.getAttribute("thankYouText"), layout, pageContext.getServletContext()));
	request.setAttribute("notificationHTMLPage", AppUtils.alterURI((String) pageContext.getAttribute("notificationHTML"), layout, pageContext.getServletContext()));
	request.setAttribute("notificationTextPage", AppUtils.alterURI((String) pageContext.getAttribute("notificationText"), layout, pageContext.getServletContext()));
	request.setAttribute("giftCertificateHTMLPage", AppUtils.alterURI((String) pageContext.getAttribute("giftCertificateHTML"), layout, pageContext.getServletContext()));
	request.setAttribute("giftCertificateTextPage", AppUtils.alterURI((String) pageContext.getAttribute("giftCertificateText"), layout, pageContext.getServletContext()));
%>
<c:if test="${!empty requestScope.user and !empty requestScope.user.order and settings.map.useLegacyJSPOrderEmailTemplates eq '1'}">
	<c:if var="customerEmail" test="${true}" scope="request"/>
	<c:import var="thankYouHTMLContent" url="${requestScope.thankYouHTMLPage}"/>
	<c:import var="thankYouTextContent" url="${requestScope.thankYouTextPage}"/>
	<c:if var="customerEmail" test="${false}" scope="request"/>
	<c:if var="notificationEmail" test="${true}" scope="request"/>
	<c:import var="notificationHTMLContent" url="${requestScope.notificationHTMLPage}"/>
	<c:import var="notificationTextContent" url="${requestScope.notificationTextPage}"/>
	<c:if var="notificationEmail" test="${false}" scope="request"/>
<%
	BaseForm baseForm = (BaseForm) request.getAttribute("baseForm");
	User user = (User) baseForm.getRequest().getAttribute("user");
	Log log = LogFactory.getLog(CheckoutAction.class);
%>
	<c:if test="${empty sendEmailsForm or sendEmailsForm.sendCustomerEmail eq 'true'}">
<%
	if (baseForm.formUtils().isValidEmail(user.getOrder().getEmail1())) {
		try {
			BusinessObjectFactory bof = baseForm.getBusinessObjectFactory();
			ActionUtils actionUtils = (ActionUtils) bof.createUtilsObject("actionUtilsImplementer");
			String subject = (String) baseForm.getSettings().getValue("invoiceEmailSubject");
			subject = actionUtils.parseGenericTemplate(baseForm, subject);
			// Get the message in plain text
			String textMessage = (String) baseForm.getSettings().getValue("invoiceEmailTextTemplate");
			if (textMessage != null && textMessage.length() > 0) {
				textMessage = actionUtils.parseGenericTemplate(baseForm, textMessage);
			} else {
				textMessage = (String) pageContext.getAttribute("thankYouTextContent");
			}
			// Get the message in HTML
			String htmlMessage = (String) baseForm.getSettings().getValue("invoiceEmailHTMLTemplate");
			if (htmlMessage != null && htmlMessage.length() > 0) {
				htmlMessage = actionUtils.parseGenericTemplate(baseForm, htmlMessage);
			} else {
				htmlMessage = (String) pageContext.getAttribute("thankYouHTMLContent");
			}
			log.info("Sending email: " + subject);
			Email email = bof.createObject(Email.class);
			email.setCustomer(user.getOrder().getCustomer());
			email.setOrder(user.getOrder());
			email.setToEmails(user.getOrder().getEmail1());
			email.setCcEmails(baseForm.getSettings().getValue("invoiceEmailCC"));
			email.setBccEmails(baseForm.getSettings().getValue("invoiceEmailBCC"));
			email.setType("invoiceEmail-" + user.getOrder().getOrderNumber());
			email.setBodyHtml(htmlMessage);
			email.setBodyText(textMessage);
			email.setSubject(subject);
			EmailSender sender = bof.createObject(EmailSender.class);
			sender.setEmail(email);
			sender.send();
		} catch (Exception e) {
			if (log.isErrorEnabled())
				log.error("Error sending email", e);
		}
	}
%>
	</c:if>
	<c:if test="${empty sendEmailsForm or sendEmailsForm.sendNotificationEmail eq 'true'}">
<%
	try {
		BusinessObjectFactory bof = baseForm.getBusinessObjectFactory();
		ActionUtils actionUtils = (ActionUtils) bof.createUtilsObject("actionUtilsImplementer");
		String toEmails = (String) baseForm.getSettings().getValue("notificationEmailTO");
		String subject = (String) baseForm.getSettings().getValue("notificationEmailSubject");
		subject = actionUtils.parseGenericTemplate(baseForm, subject);
		// Get the message in plain text
		String textMessage = (String) baseForm.getSettings().getValue("notificationEmailTextTemplate");
		if (textMessage != null && textMessage.length() > 0) {
			textMessage = actionUtils.parseGenericTemplate(baseForm, textMessage);
		} else {
			textMessage = (String) pageContext.getAttribute("notificationTextContent");
		}
		// Get the message in HTML
		String htmlMessage = (String) baseForm.getSettings().getValue("notificationEmailHTMLTemplate");
		if (htmlMessage != null && htmlMessage.length() > 0) {
			htmlMessage = actionUtils.parseGenericTemplate(baseForm, htmlMessage);
		} else {
			htmlMessage = (String) pageContext.getAttribute("notificationHTMLContent");
		}
		// Send the notification email
		if (toEmails != null && toEmails.length() > 0) {
			log.info("Sending email: " + subject);
			Email email = bof.createObject(Email.class);
			email.setCustomer(user.getOrder().getCustomer());
			email.setOrder(user.getOrder());
			email.setToEmails(toEmails);
			email.setCcEmails(baseForm.getSettings().getValue("notificationEmailCC"));
			email.setBccEmails(baseForm.getSettings().getValue("notificationEmailBCC"));
			email.setType("notificationEmail-" + user.getOrder().getOrderNumber());
			email.setBodyHtml(htmlMessage);
			email.setBodyText(textMessage);
			email.setSubject(subject);
			EmailSender sender = bof.createObject(EmailSender.class);
			sender.setEmail(email);
			sender.send();
		}
	} catch (Exception e) {
		if (log.isErrorEnabled())
			log.error("Error sending email", e);
	}
%>
	</c:if>
	<c:if test="${empty sendEmailsForm or sendEmailsForm.sendGiftCertificateEmails eq 'true'}">
<%
	try {
		BusinessObjectFactory bof = baseForm.getBusinessObjectFactory();
		ActionUtils actionUtils = (ActionUtils) bof.createUtilsObject("actionUtilsImplementer");
		BusinessObjectUtils boUtils = (BusinessObjectUtils) bof.createUtilsObject("businessObjectUtilsImplementer");
		String ccEmails = (String) baseForm.getSettings().getValue("giftCertificateNotificationCC");
		String bccEmails = (String) baseForm.getSettings().getValue("giftCertificateNotificationBCC");
		String subject = (String) baseForm.getSettings().getValue("giftCertificateNotificationSubject");
		subject = actionUtils.parseGenericTemplate(baseForm, subject);
%>
		<c:if test="${empty order}">
			<c:set var="order" value="${user.order}"/>
		</c:if>
		<c:set var="giftCertificateAmountAttributeCode" value="${settings.map.giftCertificateAmountAttributeCode}"/>
		<logic:iterate name="order" property="orderDeliveryCollection" id="delivery" indexId="i">
			<c:set var="toEmail" value="${delivery.email1}"/>
			<logic:iterate name="delivery" property="orderItemCollection" id="item" indexId="j">
<%
				// Parse the gift certificate parameters from the order item's attributes
				Map attributeMap = boUtils.buildOrderItemAttributeMap((OrderItem) item);
				String giftCertificateAmountAttributeCode = (String) pageContext.getAttribute("giftCertificateAmountAttributeCode");
				if (attributeMap != null && attributeMap.get(giftCertificateAmountAttributeCode) != null) {
					request.setAttribute("attributeMap", attributeMap);
					request.setAttribute("giftCertificateAmountAttribute", attributeMap.get(giftCertificateAmountAttributeCode));
					// Figure out the to email
					String toEmail = (String) pageContext.getAttribute("toEmail");
					if (attributeMap != null && attributeMap.get("GiftCertificateEmail") != null) {
						OrderItemAttribute oia = (OrderItemAttribute) attributeMap.get("GiftCertificateEmail");
						if (oia.getAttributeValue() != null && oia.getAttributeValue().length() > 0) {
							toEmail = oia.getAttributeValue();
						}
					}
					if (toEmail != null && toEmail.length() > 0 && baseForm.formUtils().isValidEmail(toEmail.trim())) {
	%>
						<c:set var="item" scope="request" value="${item}"/>
						<c:import var="giftCertificateHTMLContent" url="${requestScope.giftCertificateHTMLPage}"/>
						<c:import var="giftCertificateTextContent" url="${requestScope.giftCertificateTextPage}"/>
	<%
						// Get the message in plain text
						String textMessage = (String) pageContext.getAttribute("giftCertificateTextContent");
						// Get the message in HTML
						String htmlMessage = (String) pageContext.getAttribute("giftCertificateHTMLContent");
						// Send the email
						log.info("Sending gift certificate notification to: " + toEmail);
						Email email = bof.createObject(Email.class);
						email.setCustomer(user.getOrder().getCustomer());
						email.setOrder(user.getOrder());
						email.setToEmails(toEmail);
						email.setCcEmails(ccEmails);
						email.setBccEmails(bccEmails);
						email.setType("giftCertificateNotification-" + user.getOrder().getOrderNumber());
						email.setBodyHtml(htmlMessage);
						email.setBodyText(textMessage);
						email.setSubject(subject);
						EmailSender sender = bof.createObject(EmailSender.class);
						sender.setEmail(email);
						sender.send();
					}
				}
%>
			</logic:iterate>
		</logic:iterate>
<%
	} catch (Exception e) {
		if (log.isErrorEnabled())
			log.error("Error sending gift certificate notification: ", e);
	}
%>
	</c:if>
</c:if>
