<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%
  java.util.Map settings = (java.util.Map) request.getAttribute("productSettings");
  java.util.ArrayList keys = new java.util.ArrayList(settings.keySet());
  java.util.Collections.sort(keys);
  pageContext.setAttribute("keys", keys);
%>
<c:set var="counter" value="0" />
<c:forEach items="${keys}" var="thisKey">
	<c:if test="${productSettings[thisKey].type eq 'IMAGE' and productSettings[thisKey].name eq 'SMALL'}">
		<%-- set variable for large Image --%>
		<c:set var="tempLength" value="${fn:length(fn:split(productSettings[thisKey].description,'/'))}" scope="page" />
		<c:set var="tempImage" value="${fn:split(productSettings[thisKey].description,'/')[tempLength-1]}" scope="page" />
		<c:set var="tempLargeImage" value="${fn:substringAfter(tempImage,'SM')}" scope="page" />
		<%-- Now make sure we have a large image available --%>
		<c:forEach items="${keys}" var="thisKey2">
			<c:if test="${productSettings[thisKey2].type eq 'IMAGE' and productSettings[thisKey2].name eq 'LARGE' and fn:contains(productSettings[thisKey2].description,tempLargeImage)}">
				<c:if test="${counter % 2 eq 0}"><div class="clearfix"></div></c:if>
				<div class="additionalImage col-xs-12 col-md-6">
					<a href="${productSettings[thisKey2].description}" data-lightbox="${product.code}" title="${product.name}">
						<img class="img-thumbnail" src="${productSettings[thisKey].description}"<c:if test="${!empty product.name}"> title="${product.name}" alt="${productSettings[thisKey].mediumValue}"</c:if>>
					</a>
				</div>
				<c:set var="counter" value="${counter+1}" />
			</c:if>
		</c:forEach>
	</c:if>
</c:forEach>
<!-- End ${pageScope.sscCurrentPage} -->
