package com.softslate.commerce.customer.payment;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * Struts form class for submissions to manage a customer's CIM profiles for
 * requests to "/AuthorizeNetManageProfiles.do".
 * 
 * @author Jason McWilliams
 */
public class AuthorizeNetManageProfilesForm extends BaseForm {

	private static final long serialVersionUID = 7056078744557576100L;

	static Log log = LogFactory.getLog(AuthorizeNetManageProfilesForm.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isInfoEnabled())
			log.info("Starting validation.");
		initializeProperties(mapping, request);
		// Check for catalog mode
		if (log.isDebugEnabled())
			log.debug("Finished validation.");
		if (log.isInfoEnabled() && !getErrors().isEmpty())
			log.info("Validation error(s): " + getErrors().toString());
		return getErrors();
	}
}
