<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%--Just put the body tag in if we need to use XML for the Manager app--%>
<c:choose>
	<c:when test="${!empty param.managerLayout and param.managerLayout eq 'xml'}">
		<ssc:insert attribute="body"/>
	</c:when>
	<c:otherwise>
	
		<!-- Start layout.jsp -->
		<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
			"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
		<tiles:useAttribute name="loginPage" scope="request" ignore="true"/>
		<tiles:useAttribute id="screen" name="body" scope="request" ignore="true"/>
		<html xmlns="http://www.w3.org/1999/xhtml">
		    <head>
		    	<ssc:insert page="/WEB-INF/templates/administrator/default/core/pageVariables.jsp"/>
				<title><bean:message key="administrator.title" bundle="/administrator/administrator"/> - <c:out value="${pageHTMLTitle}"/></title>
				<meta http-equiv="Content-Type" content="text/html;charset=<c:out value="${settings.map.characterEncoding}"/>" />
				<logic:notPresent name="loginPage">
					<link rel="stylesheet" type="text/css" href="<c:out value="${settings.map.administratorURL}"/>/yui/container/assets/skins/sam/container.css"/>
					<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/yui/yahoo-dom-event/yahoo-dom-event.js"></script>
					<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/yui/container/container-min.js"></script>
					<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/menuExpandable/menuExpandable.js"></script>
					<ssc:loadscript name="jquery"><script type="text/javascript" src="<c:out value="${pageContext.request.contextPath}"/>/js/jquery/jquery.js"></script></ssc:loadscript>

					<c:if test="${fn:contains(screen, 'monthlySalesForm.jsp') or fn:contains(screen, 'salesByProductForm.jsp') or fn:contains(screen, 'exportOrdersForm.jsp')}">
						<link rel="stylesheet" type="text/css" media="all" href="<c:out value="${settings.map.administratorURL}"/>/jscalendar/calendar-win2k-cold-1.css" title="win2k-cold-1"/>
						<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/jscalendar/calendar.js"></script>
						<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/jscalendar/calendar-en.js"></script>
						<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/jscalendar/calendar-setup.js"></script>
					</c:if>
					
					<c:if test="${screen eq 'order.orderOverviewLayout' }">
						<!-- YUI -->
						<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/yui/connection/connection-min.js"></script>
						<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/ajax/administratorCore.js"></script>
						<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/ajax/editBilling.js"></script>
						<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/ajax/editDelivery.js"></script>
						<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/ajax/updateShipping.js"></script>
						<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/ajax/removeItem.js"></script>
						<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/ajax/addItem.js"></script>
						<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/ajax/addCoupon.js"></script>
						<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/ajax/removeCoupon.js"></script>
					</c:if>
					
					<c:if test="${screen eq 'product.productEditFormLayout' or screen eq 'product.productAddFormLayout'
								or screen eq 'product.manufacturerEditFormLayout' or screen eq 'product.manufacturerAddFormLayout'
								or screen eq 'product.categoryEditFormLayout' or screen eq 'product.categoryAddFormLayout'
								or screen eq 'email.templateEditFormLayout' or screen eq 'email.templateAddFormLayout'}">
						<c:choose>
							<c:when test="${settings.map.useTinyMCE eq '1'}">
								<script src="//tinymce.cachefly.net/4.0/tinymce.min.js"></script>
							</c:when>
							<c:otherwise>
								<link rel="stylesheet" type="text/css" href="<c:out value="${settings.map.administratorURL}"/>/yui/button/assets/skins/sam/button.css" />
								<link rel="stylesheet" type="text/css" href="<c:out value="${settings.map.administratorURL}"/>/yui/editor/assets/skins/sam/editor.css" />
								<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/yui/element/element-min.js"></script>
								<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/yui/button/button-min.js"></script>
								<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/yui/dragdrop/dragdrop-min.js"></script>
								<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/yui/editor/simpleeditor-min.js"></script>
								<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/ajax/designEditor.js"></script>
							</c:otherwise>
						</c:choose>
					
					</c:if>
					
					<c:if test="${screen eq 'email.emailEditFormLayout' }">
						<link rel="stylesheet" type="text/css" href="<c:out value="${pageContext.request.contextPath}"/>/js/jquery/jquery-ui.min.css"> 
						<ssc:loadscript name="jquery-ui"><script type="text/javascript" src="<c:out value="${pageContext.request.contextPath}"/>/js/jquery/jquery-ui.min.js"></script></ssc:loadscript>
					</c:if>
				</logic:notPresent>
				<script type="text/javascript" src="<c:out value="${settings.map.administratorURL}"/>/helpSupport.js"></script>
				<link rel="stylesheet" href="<%=request.getContextPath()%>/css/base/base.css"/>
				<link rel="stylesheet" href="<%=request.getContextPath()%>/css/orangecrush/orangecrush.css"/>
				<link rel="stylesheet" href="<c:out value="${settings.map.administratorURL}"/>/style.css"/>
				<link rel="stylesheet" type="text/css" media="print" href="<c:out value="${settings.map.administratorURL}"/>/print.css" />
				<link rel="stylesheet" href="<c:out value="${settings.map.administratorURL}"/>/style-custom.css"/>
				<c:if test="${!lKM.licenseEnterpriseEdition}">
					<script type="text/javascript">YAHOO.util.Event.onDOMReady(YAHOO.features.initializeFeatureLinks);</script>
					<style>.enterpriseFeature { color: #aaa !important; } .enterpriseFeature a { text-decoration: none !important; color: #aaa !important; }</style>
				</c:if>
		    </head>
			<body class="leftPanel yui-skin-sam">
				<div id="outerWrapper">
					<a id="top" href="#content">Skip to content</a>
					<div id="innerWrapper" class="clearit">
						<ssc:insert attribute="header"/>
						<div id="main" class="clearit">
							<table id="wrapperTable">
								<tr>
									<td id="panelCell">
										<div id="panel">
											<ssc:insert attribute="side"/>
										</div>
									</td>
									<td id="contentCell">
										<div id="content">
											<ssc:insert attribute="breadcrumbs"/>
											<ssc:insert attribute="error"/>
											<ssc:insert attribute="message"/>
											<div class="innerContent">
												<ssc:insert attribute="heading"/>
												<div id="bodyContent">
													<ssc:insert attribute="body"/>
												</div>
											</div>
										</div>
									</td>
								</tr>
							</table>
						</div>
						<ssc:insert attribute="footer"/>
					</div>
				</div>
			</body>
		</html>

		<!-- End layout.jsp -->
	</c:otherwise>
</c:choose>
