<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start shippingMethodFieldColumns.jsp -->
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" indexId="i" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${field eq 'shippingMethodID'}">
					<c:out value="${item[field]}" />
				</c:when>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'methodType'}">
							<html:select name="item" property="methodType">
								<html:option value="flatRate">Flat Rate</html:option>
								<html:option value="quantityTable">Quantity Table</html:option>
								<html:option value="cumulativeQuantityTable">Cumulative Quantity Table</html:option>
								<html:option value="weightTable">Weight Table</html:option>
								<html:option value="perWeightUnitTable">Per Weight Unit Table</html:option>
								<html:option value="priceTable">Price Table</html:option>
							</html:select>
						</c:when>
						<c:when test="${field eq 'isActive'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<input type="checkbox" name="dummy" <c:if test="${item[field] ne 'false'}">checked="checked"</c:if> onclick="updateCheckboxField(this, '<c:out value="${field}"/>', <c:out value="${j}"/>)"/>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<c:choose>
						<c:when test="${field eq 'isActive'}">
							<c:choose>
								<c:when test="${item[field]}">
									yes
								</c:when>
								<c:otherwise>
									no
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'methodType'}">
							<c:choose>
								<c:when test="${item.methodType eq 'flatRate'}">
									Flat Rate
								</c:when>
								<c:when test="${item.methodType eq 'quantityTable'}">
									Quantity Table
								</c:when>
								<c:when test="${item.methodType eq 'cumulativeQuantityTable'}">
									Cumulative Quantity Table
								</c:when>
								<c:when test="${item.methodType eq 'weightTable'}">
									Weight Table
								</c:when>
								<c:when test="${item.methodType eq 'perWeightUnitTable'}">
									Per Weight Unit Table
								</c:when>
								<c:when test="${item.methodType eq 'priceTable'}">
									Price Table
								</c:when>
								<c:otherwise>
									<c:out value="${item.methodType}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End shippingMethodFieldColumns.jsp -->
